Bug 1413087 - SmartStateAnalysis fails for Windows 2016 workloads on Azure
Summary: SmartStateAnalysis fails for Windows 2016 workloads on Azure
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: cfme-future
Assignee: Hui Song
QA Contact: Satyajit Bulage
URL:
Whiteboard: azure:smartstate
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 15:24 UTC by Krain Arnold
Modified: 2017-05-08 13:16 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-08 13:16:32 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Krain Arnold 2017-01-13 15:24:46 UTC
Description of problem:
Smartstate analysis tasks for windows 2016 machines hosted in Azure fail with a message saying the letter for the root drive could not be determined. 


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Perform a startstate analysis on a windows 2016 server


Actual results: errors


Expected results: an analysis report


Additional info:
Entire error is as follows:
[----] E, [2017-01-13T15:36:19.261090 #4052:37b130] ERROR -- : Q-task_id([81e127fc-d99d-11e6-995a-005056917c36]) MIQ(VmScan#process_abort) job aborting, Unable to mount filesystem.  Reason:[Could not determine root drive letter.]
[----] I, [2017-01-13T15:36:19.272774 #4052:37b130]  INFO -- : Q-task_id([81e127fc-d99d-11e6-995a-005056917c36]) MIQ(VmScan#process_finished) job finished, Unable to mount filesystem.  Reason:[Could not determine root drive letter.]
[----] I, [2017-01-13T15:36:19.279075 #4052:37b130]  INFO -- : Q-task_id([81e127fc-d99d-11e6-995a-005056917c36]) MIQ(VmScan#dispatch_finish) Dispatch Status is 'finished'

Comment 2 Dave Johnson 2017-01-19 16:17:42 UTC
Satyajit, please retest this and see if we can reproduce it.  Make sure test cases exists, etc.  Please pull in Jeff if you need help with Azure.

Comment 3 Jeff Teehan 2017-01-20 18:34:43 UTC
I created the VM on Azure and setup data collection.  It's named WS2016D1.  I'll try it or find me if you need it.

Comment 4 Jeff Teehan 2017-01-26 21:06:26 UTC
I'm seeing the same thing.  Will try a few other permutations, but here's my output.  I tried with SSDs and HDDs.  There is no obvious difference in the setups other than the OS.

Status = Error	01/26/17 20:20:01 UTC	01/26/17 20:18:56 UTC	01/26/17 20:18:38 UTC	finished	Unable to mount filesystem. Reason:[Could not determine root drive letter.]	Scan from Vm WS2016SSA	admin	EVM	Scanning completed.

Status = Ok	01/26/17 20:17:39 UTC	01/26/17 19:58:27 UTC	01/26/17 19:58:16 UTC	finished	Process completed successfully	Scan from Vm WS2012R2SSA	admin	EVM	Synchronization complete

Status = Error	01/26/17 19:56:56 UTC	01/26/17 19:56:10 UTC	01/26/17 19:56:00 UTC	finished	Unable to mount filesystem. Reason:[Could not determine root drive letter.]	Scan from Vm WS2016D1	admin	EVM	Scanning completed.

Comment 5 Jeff Teehan 2017-02-15 06:22:49 UTC
Added Test Case to Polarion to make sure it's tracked going forward.

Comment 8 Dave Johnson 2017-04-20 04:37:01 UTC
I think this is a RFE.  Fairly sure 2016 runs Windows ReFS which is not supported, right?

Comment 9 Hui Song 2017-04-20 12:24:41 UTC
(In reply to Dave Johnson from comment #8)
> I think this is a RFE.  Fairly sure 2016 runs Windows ReFS which is not
> supported, right?

Dave,

Yes, SSA doesn't support Windows ReFS, but we haven't proved that 2016 at default runs ReFS.

Thanks,

Comment 10 Jeff Teehan 2017-04-20 14:47:52 UTC
I have verified that none of the systems in question are using ReFS.  Everything I created was NTFS by default.  Physical and virtual.  Hope this helps.

Comment 11 Hui Song 2017-04-20 14:53:25 UTC
(In reply to Jeff Teehan from comment #10)
> I have verified that none of the systems in question are using ReFS. 
> Everything I created was NTFS by default.  Physical and virtual.  Hope this
> helps.

Jeff,

Are you able to reproduce the original issue?

Thanks,

Comment 12 Jeff Teehan 2017-04-20 16:00:28 UTC
Well, don't know what to say.  It worked today using 5.8.0.10.  :)  Gotta love this job.  At NetApp we had a Closed status called Cosmic, for issues just like these.

Name	WS2016D1
IP Addresses	10.1.0.12, 13.77.96.168
MAC Address	00-0D-3A-00-9D-22
Container	Show VMM container information azure: 1 CPU (1 socket x 0 cores), 1792 MB
Platform Tools	N/A
Operating System	Show OS container information Windows Server 2016 Datacenter
Snapshots	 None
Advanced Settings	 0
Resources	Available
Management Engine GUID	2eb7f3da-238f-11e7-917f-00155d06ac11
ID within Provider	c9e72ccc-b20e-48bd-a0c8-879c6dbcbfbb\automation\microsoft.compute/virtualmachines\WS2016D1
Lifecycle
Discovered	 Mon, 17 Apr 2017 16:59:12 +0000
Last Analyzed	 Thu, 20 Apr 2017 15:49:51 +0000

Comment 13 Hui Song 2017-04-20 16:45:33 UTC
Jeff,

Now it's interesting. Did you get other scanning results? Such as

Applications	 0
Win32 Services	 0
Kernel Drivers	 0
File System Drivers	 0
Files	 0
Registry Entries	 0

Comment 14 Jeff Teehan 2017-04-20 17:05:34 UTC
Oh yeah.  Everything I had enabled, anyway.

Security
Users	 3
Groups	 24
Patches	 0
Key Pairs	N/A
Configuration
Applications	 0
Win32 Services	 191
Kernel Drivers	 315
File System Drivers	 37
Files	 0
Registry Entries	 0

Comment 15 Hui Song 2017-05-08 13:16:32 UTC
The issue can not be reproduced, ticket closed. Please reopen if it happens again.


Note You need to log in before you can comment on or make changes to this bug.